Bug 1285633 - 'Filter systems by name' and 'Select All' systems and Adding them to SSM is not working correctly on satellite 5.7
'Filter systems by name' and 'Select All' systems and Adding them to SSM is n...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
570
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 01:07 EST by Komal
Modified: 2017-06-08 10:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-08 10:40:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2067873 None None None Never

  None (edit)
Description Komal 2015-11-26 01:07:37 EST
Description of problem:

1. If we filter the 'systems by name' then the systems are selected but the 'Add Systems to SSM' results in 0 system selection.

2. Systems Tab -> Filtered with name(keyword) 'abc' on the top of page can see : 1 - 25 of 62

Selected all systems by clicking on checkbox which should select all filtered systems but selects only systems on the current page

Clicked on 'Add selected systems to SSM'. But the top of page shows 22 systems selected (i.e. the number of systems on single page on which we can perform actions)

3. Clicking on 'Select All' at the bottom of the list selects all systems. 

Besides Manage tab can see selected systems for scheduling action. 
However clicking on 'Add systems to SSM' button does nothing.

Seems page just gets refreshed. Can this be modified to become more user friendly and 
provide instruction like : To select all systems click on Select all , current selection selects only systems on current page.

and 

Add to SSM should direct to same page as we get directed to link on clicking  'Manage' tab or should ask whether we wish to create a new system group.

Version-Release number of selected component (if applicable):
Satellite 5.7

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:
1. 'Add to SSM' button under Systems tab is not user friendly and does nothing.
2. User should get diff. notified of Select All and select only top checkbox for systems.

Additional info:
Comment 5 Tomas Lestach 2015-11-26 05:17:32 EST
Is this a duplicate of Bug 962407?
Comment 6 Komal 2015-11-27 01:37:55 EST
Hello Tomas, 

The bug 962407 covers one part of reported issue.

We are looking for better behavior in 'Add systems to SSM' button as well.

Regards,
Komal
Comment 15 Tomas Lestach 2017-06-08 10:40:25 EDT
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.

This is a low priority bug. While this bug is still valid, we do not see it being implemented prior to the EOL of the Satellite 5.x product. As such, this is being CLOSED DEFERRED. 

Closing now to help set customer expectations as early as possible. You are welcome to re-open this bug if needed.

Note You need to log in before you can comment on or make changes to this bug.